Name:           python-openwillis
Version:        2.3.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        digital health measurement

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/bklynhlth/openwillis
Source:         %{pypi_source openwillis}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'openwillis' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-openwillis
Summary:        %{summary}

%description -n python3-openwillis %_description


%prep
%autosetup -p1 -n openwillis-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-openwillis -f %{pyproject_files}


%changelog
%autochangelog